      SUBROUTINE GSPLNE_SPEED (N,X,Y)
      PARAMETER (NMAX=10000)
      REAL*4 X(*),Y(*)
      INTEGER*2 IXY(0:1,NMAX)
      INCLUDE 'Parametres.f'
C
      if (n.le.nmax) then
        do i=1,n               
Cfj          IXY(0,i) = INT2(nint(origine_x + facteur_en_x*X(i)))
Cfj          IXY(1,i) = INT2(nint(origine_y + facteur_en_y*Y(i)))
          IXY(0,i) = nint(origine_x + facteur_en_x*X(i))
          IXY(1,i) = nint(origine_y + facteur_en_y*Y(i))
        enddo
        call x11polyligne(IXY(0,1),n)
      else
        ipoint = 0
 1      nn = min(n,ipoint+nmax)
        do i=1,nn
Cfj          IXY(0,i) = INT2(nint(origine_x + facteur_en_x*X(i+ipoint)))
Cfj          IXY(1,i) = INT2(nint(origine_y + facteur_en_y*Y(i+ipoint)))
          IXY(0,i) = nint(origine_x + facteur_en_x*X(i+ipoint))
          IXY(1,i) = nint(origine_y + facteur_en_y*Y(i+ipoint))
        enddo
        call x11polyligne(IXY(0,1),nn)
        if (n.gt.nn) then
          ipoint = ipoint+nn-1
          goto 1
        endif
      endif
      END 
